@INPROCEEDINGS{Moore99,
  AUTHOR       =       "R. Moore and J. Lopes",
  TITLE        =        "Paper templates",
  BOOKTITLE    =    "TEMPLATE'06, 1st International Conference on Template Production",
  YEAR         =         "1999",
  PUBLISHER    =    "SCITEPRESS",
  file         = F
}

@BOOK{Smith98,
  AUTHOR       =       "J. Smith",
  TITLE        =        "The Book",
  PUBLISHER    =    "The publishing company",
  YEAR         =         "1998",
  ADDRESS      =      "London",
  edition      =      "2nd",
  file         = F
}

@BOOK{gb,
 AUTHOR        = {Becker, Thomas},
 TITLE         = {Gröbner bases : a computational approach to commutative algebra},
 PUBLISHER     = {Springer-Verlag},
 YEAR          = {1993},
 ADDRESS       = {New York},
 ISBN          = {0-387-97971-9}
 }

@article{bb,
  TITLE        = {Bruno Buchberger’s PhD thesis 1965: An algorithm for finding the basis elements of the residue class ring of a zero dimensional polynomial ideal},
  AUTHOR       = {Buchberger, Bruno},
  JOURNAL      = {Journal of symbolic computation},
  VOLUME       = {41},
  NUMBER       = {3-4},
  PAGES        = {475--511},
  YEAR         = {2006},
  PUBLISHER    = {Elsevier}
}

@BOOK{iva,
 AUTHOR        = {Cox, David},
 TITLE         = {Ideals, varieties, and algorithms : an introduction to computational algebraic geometry and commutative algebra},
 PUBLISHER     = {Springer},
 YEAR          = {2015},
 ADDRESS       = {Cham},
 ISBN          = {9783319167206}
 }

@article{hh1,
 ISSN          = {0003486X},
 URL           = {http://www.jstor.org/stable/1970486},
 AUTHOR        = {Heisuke Hironaka},
 JOURNAL       = {Annals of Mathematics},
 NUMBER        = {1},
 PAGES         = {109--203},
 PUBLISHER     = {Annals of Mathematics},
 TITLE         = {Resolution of Singularities of an Algebraic Variety Over a Field of Characteristic Zero: I},
 VOLUME        = {79},
 YEAR          = {1964}
}

@article{hh2,
 ISSN          = {0003486X},
 URL           = {http://www.jstor.org/stable/1970547},
 AUTHOR        = {Heisuke Hironaka},
 JOURNAL       = {Annals of Mathematics},
 NUMBER        = {2},
 PAGES         = {205--326},
 PUBLISHER     = {Annals of Mathematics},
 TITLE         = {Resolution of Singularities of an Algebraic Variety Over a Field of Characteristic Zero: II},
 VOLUME        = {79},
 YEAR          = {1964}
}

@BOOK{igb,
 AUTHOR        = {Adams, William},
 TITLE         = {An introduction to Gröbner bases},
 PUBLISHER     = {American Mathematical Society},
 YEAR          = {1994},
 ADDRESS       = {Providence, R.I},
 ISBN          = {978-0-8218-3804-4}
 }

@BOOK{gbs,
 AUTHOR        = {Hibi, Takayuki},
 TITLE         = {Gröbner bases : statistics and software systems},
 PUBLISHER     = {Springer},
 YEAR          = {2013},
 ADDRESS       = {Tokyo New York},
 ISBN          = {978-4-431-54573-6}
 }

@article{fips,
  TITLE        ={197: Advanced encryption standard (AES)},
  AUTHOR       ={Pub, NIST FIPS},
  JOURNAL      ={Federal information processing standards publication},
  VOLUME       ={197},
  NUMBER       ={441},
  PAGES        ={0311},
  YEAR         ={2001}
}

@BOOK{rijndael,
  TITLE        ={The design of Rijndael},
  AUTHOR       ={Daemen, Joan and Rijmen, Vincent},
  VOLUME       ={2},
  YEAR         ={2002},
  PUBLISHER    ={Springer}
}

@BOOK{shoup,
  TITLE        ={A computational introduction to number theory and algebra},
  AUTHOR       ={Shoup, Victor},
  YEAR         ={2009},
  PUBLISHER    ={Cambridge university press}
}

@BOOK{lidl,
  TITLE        ={Introduction to finite fields and their applications},
  AUTHOR       ={Lidl, Rudolf and Niederreiter, Harald},
  YEAR         ={1994},
  PUBLISHER    ={Cambridge university press}
}

@BOOK{menezes,
  TITLE        ={Handbook of applied cryptography},
  AUTHOR       ={Menezes, Alfred J and Van Oorschot, Paul C and Vanstone, Scott A},
  YEAR         ={2018},
  PUBLISHER    ={CRC press}
}

@inproceedings{cid05,
  TITLE        ={Small scale variants of the AES},
  AUTHOR       ={Cid, Carlos and Murphy, Sean and Robshaw, Matthew JB},
  bookTITLE    ={International Workshop on Fast Software Encryption},
  PAGES        ={145--162},
  YEAR         ={2005},
  organization ={Springer}
}

@article{bulygin,
  TITLE        ={Obtaining and solving systems of equations in key variables only for the small variants of AES},
  AUTHOR       ={Bulygin, Stanislav and Brickenstein, Michael},
  JOURNAL      ={Mathematics in Computer Science},
  VOLUME       ={3},
  NUMBER       ={2},
  PAGES        ={185--200},
  YEAR         ={2010},
  PUBLISHER    ={Springer}
}

@BOOK{cid06,
  TITLE        ={Algebraic aspects of the advanced encryption standard},
  AUTHOR       ={Cid, Carlos and Murphy, Sean and Robshaw, Matthew},
  YEAR         ={2006},
  PUBLISHER    ={Springer Science \& Business Media}
}

@inproceedings{anf,
  TITLE        ={Chosen-IV Statistical Attacks on eStream Ciphers.},
  AUTHOR       ={Saarinen, Markku-Juhani Olavi},
  bookTITLE    ={SECRYPT},
  PAGES        ={260--266},
  YEAR         ={2006}
}

@article{shannon,
  TITLE        ={Communication theory of secrecy systems},
  AUTHOR       ={Shannon, Claude E},
  JOURNAL      ={The Bell system technical JOURNAL},
  VOLUME       ={28},
  NUMBER       ={4},
  PAGES        ={656--715},
  YEAR         ={1949},
  PUBLISHER    ={Nokia Bell Labs}
}

@manual{sagemath,
  Key          = {SageMath},
  Author       = {{The Sage Developers}},
  Title        = {{S}ageMath, the {S}age {M}athematics {S}oftware {S}ystem ({V}ersion 9.1)},
  URL          = {{https://www.sagemath.org}},
  Year         = {2020},
}

@article{polybori,
TITLE          = "PolyBoRi: A framework for Gröbner-basis computations with Boolean polynomials",
JOURNAL        = "Journal of Symbolic Computation",
VOLUME         = "44",
NUMBER         = "9",
PAGES          = "1326 - 1345",
YEAR           = "2009",
note           = "Effective Methods in Algebraic Geometry",
issn           = "0747-7171",
DOI            = "DOI: 10.1016/j.jsc.2008.02.017",
URL            = "http://dx.DOI.org/10.1016/j.jsc.2008.02.017",
AUTHOR         = "Michael Brickenstein and Alexander Dreyer",
KEYWORDS       = "Boolean Gröbner basis",
KEYWORDS       = "Formal verification",
KEYWORDS       = "Algebraic cryptoanalysis",
KEYWORDS       = "Satisfiability"
}

@article {magma,
    AUTHOR     = {Bosma, Wieb and Cannon, John and Playoust, Catherine},
     TITLE     = {The {M}agma algebra system. {I}. {T}he user language},
      NOTE     = {Computational algebra and NUMBER theory (London, 1993)},
   JOURNAL     = {J. Symbolic Comput.},
  FJOURNAL     = {Journal of Symbolic Computation},
    VOLUME     = {24},
      YEAR     = {1997},
    NUMBER     = {3-4},
     PAGES     = {235--265},
      ISSN     = {0747-7171},
   MRCLASS     = {68Q40},
  MRNUMBER     = {MR1484478},
       DOI     = {10.1006/jsco.1996.0125},
       URL     = {http://dx.DOI.org/10.1006/jsco.1996.0125},
}

@inproceedings{cryptominisat,
  AUTHOR       = {Mate Soos and
               Karsten Nohl and
               Claude Castelluccia},
  editor       = {Oliver Kullmann},
  TITLE        = {Extending {SAT} Solvers to Cryptographic Problems},
  bookTITLE    = {Theory and Applications of Satisfiability Testing - {SAT} 2009, 12th
               International Conference, {SAT} 2009, Swansea, UK, June 30 - July
               3, 2009. Proceedings},
  series       = {Lecture Notes in Computer Science},
  VOLUME       = {5584},
  PAGES        = {244--257},
  PUBLISHER    = {Springer},
  YEAR         = {2009},
  URL          = {https://DOI.org/10.1007/978-3-642-02777-2\_24},
  DOI          = {10.1007/978-3-642-02777-2\_24},
  timestamp    = {Tue, 14 May 2019 10:00:41 +0200},
  bibURL       = {https://dblp.org/rec/conf/sat/SoosNC09.bib},
  bibsource    = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{soos2009extending,
  title={Extending SAT solvers to cryptographic problems},
  author={Soos, Mate and Nohl, Karsten and Castelluccia, Claude},
  booktitle={International Conference on Theory and Applications of Satisfiability Testing},
  pages={244--257},
  year={2009},
  organization={Springer}
}


@article{aumasson,
  TITLE        ={Too Much Crypto.},
  AUTHOR       ={Aumasson, Jean-Philippe},
  JOURNAL      ={IACR Cryptol. ePrint Arch.},
  VOLUME       ={2019},
  PAGES        ={1492},
  YEAR         ={2019}
}

@article{f4,
  TITLE        = {{A new efficient algorithm for computing Gröbner bases (F4)}},
  AUTHOR       = {Faug{\`e}re, Jean-Charles},
  URL          = {https://hal.archives-ouvertes.fr/hal-01148855},
  JOURNAL      = {{Journal of Pure and Applied Algebra}},
  PUBLISHER    = {{Elsevier}},
  VOLUME       = {139},
  NUMBER       = {1-3},
  PAGES        = {61-88},
  YEAR         = {1999},
  MONTH        = Jun,
  DOI          = {10.1016/S0022-4049(99)00005-5},
  HAL_ID       = {hal-01148855},
  HAL_VERSION  = {v1},
}

@article{fglm,
TITLE          = "Efficient Computation of Zero-dimensional Gröbner Bases by Change of Ordering",
JOURNAL        = "Journal of Symbolic Computation",
VOLUME         = "16",
NUMBER         = "4",
PAGES          = "329 - 344",
YEAR           = "1993",
issn           = "0747-7171",
DOI            = "https://DOI.org/10.1006/jsco.1993.1051",
URL            = "http://www.sciencedirect.com/science/article/pii/S0747717183710515",
AUTHOR         = "J.C. Faugère and P. Gianni and D. Lazard and T. Mora",
}

@article{la2022algebraic,
  title={An algebraic attack to the Bluetooth stream cipher E0},
  author={La Scala, Roberto and Polese, Sergio and Tiwari, Sharwan K and Visconti, Andrea},
  journal={arXiv preprint arXiv:2201.01262},
  year={2022}
}

@article{bulygin2010obtaining,
  title={Obtaining and solving systems of equations in key variables only for the small variants of AES},
  author={Bulygin, Stanislav and Brickenstein, Michael},
  journal={Mathematics in Computer Science},
  volume={3},
  number={2},
  pages={185--200},
  year={2010},
  publisher={Springer}
}

@inproceedings{courtois2007algebraic,
  title={Algebraic cryptanalysis of the data encryption standard},
  author={Courtois, Nicolas T and Bard, Gregory V},
  booktitle={IMA International Conference on Cryptography and Coding},
  pages={152--169},
  year={2007},
  organization={Springer}
}

@book{bard2009algebraic,
  title={Algebraic cryptanalysis},
  author={Bard, Gregory},
  year={2009},
  publisher={Springer Science \& Business Media}
}

@article{simmons2009algebraic,
  title={Algebraic Cryptanalysis of Simplified AES*},
  author={Simmons, Sean},
  journal={Cryptologia},
  volume={33},
  number={4},
  pages={305--314},
  year={2009},
  publisher={Taylor \& Francis}
}

@inproceedings{courtois2002cryptanalysis,
  title={Cryptanalysis of block ciphers with overdefined systems of equations},
  author={Courtois, Nicolas T and Pieprzyk, Josef},
  booktitle={International conference on the theory and application of cryptology and information security},
  pages={267--287},
  year={2002},
  organization={Springer}
}

@inproceedings{murphy2002essential,
  title={Essential algebraic structure within the AES},
  author={Murphy, Sean and Robshaw, Matthew JB},
  booktitle={Annual International Cryptology Conference},
  pages={1--16},
  year={2002},
  organization={Springer}
}

@article{nover2005algebraic,
  title={Algebraic cryptanalysis of AES: an overview},
  author={Nover, Harris},
  journal={University of Wisconsin, USA},
  pages={1--16},
  year={2005},
  publisher={Citeseer}
}

@inproceedings{cid2005analysis,
  title={An analysis of the XSL algorithm},
  author={Cid, Carlos and Leurent, Ga{\"e}tan},
  booktitle={International Conference on the Theory and Application of Cryptology and Information Security},
  pages={333--352},
  year={2005},
  organization={Springer}
}
